## rocm 6.4.3+ds

=== docs/CMakeLists.txt ===
# MIT License
#
# Copyright (c) 2023 Advanced Micro Devices, Inc. All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.

include(ROCMSphinxDoc)

rocm_add_sphinx_doc(
    "${CMAKE_CURRENT_SOURCE_DIR}"
  OUTPUT_DIR html
  BUILDER html
)
  
install(
  DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/html"
  DESTINATION "${CMAKE_INSTALL_DOCDIR}")

=== docs/sphinx/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile requirements.in
#
accessible-pygments==0.0.5
    # via pydata-sphinx-theme
alabaster==1.0.0
    # via sphinx
asttokens==3.0.0
    # via stack-data
attrs==25.3.0
    # via
    #   jsonschema
    #   jupyter-cache
    #   referencing
babel==2.17.0
    # via
    #   pydata-sphinx-theme
    #   sphinx
beautifulsoup4==4.13.4
    # via pydata-sphinx-theme
breathe==4.36.0
    # via rocm-docs-core
certifi==2025.4.26
    # via requests
cffi==1.17.1
    # via
    #   cryptography
    #   pynacl
charset-normalizer==3.4.2
    # via requests
click==8.2.1
    # via
    #   jupyter-cache
    #   sphinx-external-toc
comm==0.2.2
    # via ipykernel
cryptography==45.0.3
    # via pyjwt
debugpy==1.8.14
    # via ipykernel
decorator==5.2.1
    # via ipython
defusedxml==0.7.1
    # via sphinxcontrib-datatemplates
deprecated==1.2.18
    # via pygithub
docutils==0.21.2
    # via
    #   myst-parser
    #   pydata-sphinx-theme
    #   sphinx
exceptiongroup==1.3.0
    # via ipython
executing==2.2.0
    # via stack-data
fastjsonschema==2.21.1
    # via
    #   nbformat
    #   rocm-docs-core
gitdb==4.0.12
    # via gitpython
gitpython==3.1.44
    # via rocm-docs-core
greenlet==3.2.3
    # via sqlalchemy
idna==3.10
    # via requests
imagesize==1.4.1
    # via sphinx
importlib-metadata==8.7.0
    # via
    #   jupyter-cache
    #   myst-nb
ipykernel==6.29.5
    # via myst-nb
ipython==8.37.0
    # via
    #   ipykernel
    #   myst-nb
jedi==0.19.2
    # via ipython
jinja2==3.1.6
    # via
    #   myst-parser
    #   sphinx
jsonschema==4.24.0
    # via nbformat
jsonschema-specifications==2025.4.1
    # via jsonschema
jupyter-cache==1.0.1
    # via myst-nb
jupyter-client==8.6.3
    # via
    #   ipykernel
    #   nbclient
jupyter-core==5.8.1
    # via
    #   ipykernel
    #   jupyter-client
    #   nbclient
    #   nbformat
markdown-it-py==3.0.0
    # via
    #   mdit-py-plugins
    #   myst-parser
markupsafe==3.0.2
    # via jinja2
matplotlib-inline==0.1.7
    # via
    #   ipykernel
    #   ipython
mdit-py-plugins==0.4.2
    # via myst-parser
mdurl==0.1.2
    # via markdown-it-py
myst-nb==1.2.0
    # via rocm-docs-core
myst-parser==4.0.1
    # via myst-nb
nbclient==0.10.2
    # via
    #   jupyter-cache
    #   myst-nb
nbformat==5.10.4
    # via
    #   jupyter-cache
    #   myst-nb
    #   nbclient
nest-asyncio==1.6.0
    # via ipykernel
packaging==25.0
    # via
    #   ipykernel
    #   pydata-sphinx-theme
    #   sphinx
parso==0.8.4
    # via jedi
pexpect==4.9.0
    # via ipython
platformdirs==4.3.8
    # via jupyter-core
prompt-toolkit==3.0.51
    # via ipython
psutil==7.0.0
    # via ipykernel
ptyprocess==0.7.0
    # via pexpect
pure-eval==0.2.3
    # via stack-data
pycparser==2.22
    # via cffi
pydata-sphinx-theme==0.15.4
    # via
    #   rocm-docs-core
    #   sphinx-book-theme
pygithub==2.6.1
    # via rocm-docs-core
pygments==2.19.1
    # via
    #   accessible-pygments
    #   ipython
    #   pydata-sphinx-theme
    #   sphinx
pyjwt[crypto]==2.10.1
    # via pygithub
pynacl==1.5.0
    # via pygithub
python-dateutil==2.9.0.post0
    # via jupyter-client
pyyaml==6.0.2
    # via
    #   jupyter-cache
    #   myst-nb
    #   myst-parser
    #   rocm-docs-core
    #   sphinx-external-toc
    #   sphinxcontrib-datatemplates
pyzmq==26.4.0
    # via
    #   ipykernel
    #   jupyter-client
referencing==0.36.2
    # via
    #   jsonschema
    #   jsonschema-specifications
requests==2.32.4
    # via
    #   pygithub
    #   sphinx
rocm-docs-core==1.20.1
    # via -r requirements.in
rpds-py==0.25.1
    # via
    #   jsonschema
    #   referencing
six==1.17.0
    # via python-dateutil
smmap==5.0.2
    # via gitdb
snowballstemmer==3.0.1
    # via sphinx
soupsieve==2.7
    # via beautifulsoup4
sphinx==8.1.3
    # via
    #   breathe
    #   myst-nb
    #   myst-parser
    #   pydata-sphinx-theme
    #   rocm-docs-core
    #   sphinx-book-theme
    #   sphinx-copybutton
    #   sphinx-design
    #   sphinx-external-toc
    #   sphinx-last-updated-by-git
    #   sphinx-notfound-page
    #   sphinx-reredirects
    #   sphinxcontrib-datatemplates
    #   sphinxcontrib-runcmd
sphinx-book-theme==1.1.4
    # via rocm-docs-core
sphinx-copybutton==0.5.2
    # via rocm-docs-core
sphinx-design==0.6.1
    # via rocm-docs-core
sphinx-external-toc==1.0.1
    # via rocm-docs-core
sphinx-last-updated-by-git==0.3.8
    # via sphinx-sitemap
sphinx-notfound-page==1.1.0
    # via rocm-docs-core
sphinx-reredirects==0.1.6
    # via -r requirements.in
sphinx-sitemap==2.7.2
    # via -r requirements.in
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-datatemplates==0.11.0
    # via -r requirements.in
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-runcmd==0.2.0
    # via sphinxcontrib-datatemplates
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
sqlalchemy==2.0.41
    # via jupyter-cache
stack-data==0.6.3
    # via ipython
tabulate==0.9.0
    # via jupyter-cache
tomli==2.2.1
    # via sphinx
tornado==6.5.1
    # via
    #   ipykernel
    #   jupyter-client
traitlets==5.14.3
    # via
    #   comm
    #   ipykernel
    #   ipython
    #   jupyter-client
    #   jupyter-core
    #   matplotlib-inline
    #   nbclient
    #   nbformat
typing-extensions==4.14.0
    # via
    #   beautifulsoup4
    #   exceptiongroup
    #   ipython
    #   myst-nb
    #   pydata-sphinx-theme
    #   pygithub
    #   referencing
    #   sqlalchemy
urllib3==2.5.0
    # via
    #   pygithub
    #   requests
wcwidth==0.2.13
    # via prompt-toolkit
wrapt==1.17.2
    # via deprecated
zipp==3.23.0
    # via importlib-metadata

=== tools/autotag/requirements.txt ===
pygithub ~= 1.55
gitpython ~= 3.1.24
jinja2
packaging

=== debian/changelog ===
rocm (6.4.3+ds-4~exp2) experimental; urgency=medium

  * Enable rocm-doc package
  * Add hiprand to rocm-dev and rocm-tests
  * Update standards version to 4.7.3
    * Removed redundant priority optional annotation
  * d/control: remove redundant rules-requires-root annotation
  * d/control: update dependencies for removed ppc64el packages
  * Suggest for OpenCL and OpenMP GPU offloading packages in rocm-dev
  * Recommend librpp-hip-dev in rocm-dev
  * d/copyright: exclude upstream CI configuration files
  * d/watch: update to watch version 5
  * Add d/p/use-local-mathjax.patch to prevent connections
    to the internet within the documentation

 -- Cordell Bloor <cgmb@debian.org>  Sun, 15 Feb 2026 19:53:33 -0700

rocm (6.4.3-4~exp1) experimental; urgency=medium

  * Update dependencies for ROCm 6.4.3
  * Disable build of rocm-doc package until all B-D are available

 -- Cordell Bloor <cgmb@debian.org>  Fri, 21 Nov 2025 17:02:14 -0700

rocm (6.4.3-3) unstable; urgency=medium

  * Fix for test-build-any test

 -- Christian Bayle <bayle@debian.org>  Thu, 11 Sep 2025 23:32:28 +0200

rocm (6.4.3-2) unstable; urgency=medium

  * Use rocm-docs-build
  * Update README.source
  * Add missing deps
  * Add nodoc for doc related depedancies
  * Add python-rocm-docs-doc and python3-doc for .inv files
  * Patch config to fix title issue in pbuilder
  * Fix for build on salsa
  * Fix for test-build-any test

 -- Christian Bayle <bayle@debian.org>  Thu, 11 Sep 2025 23:07:02 +0200

rocm (6.4.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1001712)

 -- Christian Bayle <bayle@debian.org>  Mon, 01 Sep 2025 17:26:14 +0200

=== debian/control ===
Source: rocm
Section: devel
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/rocm-team/rocm.git
Vcs-Browser: https://salsa.debian.org/rocm-team/rocm
Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
Uploaders:
 Cordell Bloor <cgmb@debian.org>,
 Christian Bayle <bayle@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 sphinx-common,
Build-Depends-Indep:
 dh-sequence-sphinxdoc <!nodoc>,
 python3-rocm-docs (>= 1.23.0-1~) <!nodoc>,
 python-rocm-docs-doc <!nodoc>,
 python3-sphinx-reredirects <!nodoc>,
 python3-sphinx-sitemap <!nodoc>,
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-sphinxcontrib.datatemplates <!nodoc>,
 libjs-underscore <!nodoc>,
 libjs-jquery <!nodoc>,
 python3-doc <!nodoc>,
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/ROCm/ROCm

# Needs further discussion. Kitchen sink package seems useful.
#
#Package: rocm
#Architecture: amd64 arm64 ppc64el
#Depends: rocm-dev,
#         rocm-tests,
#         rocm-doc
#Description: All ROCm components
# This metapackage comprises all ROCm components available, including
# development tools, libraries, tests and documentation.

Package: rocm-dev
Architecture: amd64 arm64 ppc64el
Depends: ${misc:Depends},
         amd-dbgapi-dev,
         hip-utils,
         hipcc,
         hipify-perl,
         libamd-smi-dev [amd64],
         libamdhip64-dev,
         libhipblas-common-dev,
         libhipblas-dev [amd64 arm64],
         libhipcub-dev,
         libhipfft-dev [amd64 arm64],
         libhiprand-dev,
         libhipsolver-dev [amd64 arm64],
         libhipsparse-dev,
         libmiopen-dev [amd64 arm64],
         liboam-dev,
#         librccl-dev, # broken on unstable
         librocalution-dev,
         librocblas-dev [amd64 arm64],
         librocfft-dev [amd64 arm64],
         librocm-smi-dev,
         librocprim-dev,
         librocrand-dev,
         librocsolver-dev [amd64 arm64],
         librocsparse-dev,
         librocthrust-dev,
         libroctx-dev,
         rocminfo,
Recommends: librpp-hip-dev [amd64],
Suggests: liboffload-21-dev,
          libomp-21-dev,
          rocm-opencl-icd,
Description: Tools and libraries for ROCm development
 This metapackage provides development tools, libraries, and headers
 used when developing for the AMD ROCm platform. The development tools
 include a HIP compiler, and the libraries include a wide range of
 math, machine learning, inter- and intra-node communication, and basic
 primatives for authoring programs with AMD GPU acceleration.

Package: rocm-tests
Architecture: amd64 arm64 ppc64el
Depends: ${misc:Depends},
         ${perl:Depends},
#         libhipblas2-tests, # todo
         libhipcub-tests,
         libhipfft0-tests [amd64 arm64],
         libhiprand1-tests,
         libhipsolver0-tests [amd64 arm64],
         libhipsparse1-tests,
         libmiopen1-tests [amd64 arm64],
#         librccl1-tests, # broken on unstable
         librocblas4-tests [amd64 arm64],
         librocfft0-tests [amd64 arm64],
         librocprim-tests,
         librocrand1-tests,
         librocsolver0-tests [amd64 arm64],
         librocsparse1-tests,
         librocthrust-tests,
Description: Tests for validating the ROCm software stack
 This package contains test utilities that can be used to verify
 that the ROCm software stack is functioning correctly.

Package: rocm-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: Documentation for the AMD ROCm software stack
 ROCm is an open-source stack primarily composed of open-source software
 for performing compuations on graphics processing units (GPUs). ROCm
 comprises drivers, development tools, and libraries that enable GPU
 programming from low-level kernel integrations to high-level applications.
 .
 With ROCm you can customize your GPU software to meet your specific needs.
 You can develop, collaborate, test, and deploy your applications in a free,
 open-source, and secure software ecosystem. ROCm is well-suited for
 high-performance computing (HPC), artificial intelligence (AI),
 scientific computing, and computer aided design (CAD).
 .
 ROCm is powered by the Heterogeneous-computing Interface for Portability
 (HIP). HIP is an open-source software C++ GPU programming language and its
 corresponding runtime. It allows developers to create portable applications
 by deploying code for a wide range of hardware, from desktop gaming GPUs to
 exascale HPC server clusters.
 .
 ROCm supports programming models such as OpenMP and OpenCL. It includes
 all necessary open source software compilers, debuggers, and libraries.
 ROCm support is integrated into machine learning (ML) frameworks, such
 as PyTorch and TensorFlow.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

# rocm-doc B-D on python3-sphinxcontrib.datatemplates, which is currently
# pending review by the DFSG team. The rocm-doc binary package cannot yet be
# built, but will be enabled once the required B-D are available.
#
# For the moment, this source package only provides test and dev metapackages.
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure-arch:
	:

override_dh_auto_test-arch:
	:

execute_before_dh_install-arch:
	:

override_dh_auto_configure-indep:
	:

override_dh_auto_test-indep:
	:

override_dh_auto_install-indep:
	:

# Once the necessary B-D are available, the rules below can be enabled
# to build rocm-doc

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=rocm

%:
	dh $@ --with sphinxdoc --buildsystem=none

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	export patchconfigpy="True" ; \
	rocm-docs-build
	# Remove fonts that will be symlinks
	rm -rf build/html/_static/fonts
	rm -rf build/html/_static/vendor

override_dh_clean:
	dh_clean
	rm -rf build
	rm -f  \
	_readthedocs/html/downloads/compatibility-matrix-historical-6.0.csv \
	docs/about/release-notes.md \
	docs/release/changelog.md \
	docs/sphinx/_toc.yml

=== debian/watch ===
Version: 5

Source: https://github.com/rocm/rocm/tags
Matching-Pattern: (?:.*?/)?rocm-v?(\d[\d.]*)\.tar\.gz
Dversionmangle: s/\+ds//
Repacksuffix: +ds

## rocm 7.0.2

=== docs/sphinx/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile docs/sphinx/requirements.in
#
accessible-pygments==0.0.5
    # via pydata-sphinx-theme
alabaster==1.0.0
    # via sphinx
asttokens==3.0.0
    # via stack-data
attrs==25.4.0
    # via
    #   jsonschema
    #   jupyter-cache
    #   referencing
babel==2.17.0
    # via
    #   pydata-sphinx-theme
    #   sphinx
beautifulsoup4==4.14.2
    # via pydata-sphinx-theme
breathe==4.36.0
    # via rocm-docs-core
certifi==2025.10.5
    # via requests
cffi==2.0.0
    # via
    #   cryptography
    #   pynacl
charset-normalizer==3.4.3
    # via requests
click==8.3.0
    # via
    #   jupyter-cache
    #   sphinx-external-toc
comm==0.2.3
    # via ipykernel
cryptography==46.0.2
    # via pyjwt
debugpy==1.8.17
    # via ipykernel
decorator==5.2.1
    # via ipython
defusedxml==0.7.1
    # via sphinxcontrib-datatemplates
docutils==0.21.2
    # via
    #   myst-parser
    #   pydata-sphinx-theme
    #   sphinx
exceptiongroup==1.3.0
    # via ipython
executing==2.2.1
    # via stack-data
fastjsonschema==2.21.2
    # via
    #   nbformat
    #   rocm-docs-core
gitdb==4.0.12
    # via gitpython
gitpython==3.1.45
    # via rocm-docs-core
greenlet==3.2.4
    # via sqlalchemy
idna==3.10
    # via requests
imagesize==1.4.1
    # via sphinx
importlib-metadata==8.7.0
    # via
    #   jupyter-cache
    #   myst-nb
ipykernel==6.30.1
    # via myst-nb
ipython==8.37.0
    # via
    #   ipykernel
    #   myst-nb
jedi==0.19.2
    # via ipython
jinja2==3.1.6
    # via
    #   myst-parser
    #   sphinx
jsonschema==4.25.1
    # via nbformat
jsonschema-specifications==2025.9.1
    # via jsonschema
jupyter-cache==1.0.1
    # via myst-nb
jupyter-client==8.6.3
    # via
    #   ipykernel
    #   nbclient
jupyter-core==5.8.1
    # via
    #   ipykernel
    #   jupyter-client
    #   nbclient
    #   nbformat
markdown-it-py==3.0.0
    # via
    #   mdit-py-plugins
    #   myst-parser
markupsafe==3.0.3
    # via jinja2
matplotlib-inline==0.1.7
    # via
    #   ipykernel
    #   ipython
mdit-py-plugins==0.5.0
    # via myst-parser
mdurl==0.1.2
    # via markdown-it-py
myst-nb==1.3.0
    # via rocm-docs-core
myst-parser==4.0.1
    # via myst-nb
nbclient==0.10.2
    # via
    #   jupyter-cache
    #   myst-nb
nbformat==5.10.4
    # via
    #   jupyter-cache
    #   myst-nb
    #   nbclient
nest-asyncio==1.6.0
    # via ipykernel
packaging==25.0
    # via
    #   ipykernel
    #   sphinx
parso==0.8.5
    # via jedi
pexpect==4.9.0
    # via ipython
platformdirs==4.4.0
    # via jupyter-core
prompt-toolkit==3.0.52
    # via ipython
psutil==7.1.0
    # via ipykernel
ptyprocess==0.7.0
    # via pexpect
pure-eval==0.2.3
    # via stack-data
pycparser==2.23
    # via cffi
pydata-sphinx-theme==0.16.1
    # via
    #   rocm-docs-core
    #   sphinx-book-theme
pygithub==2.8.1
    # via rocm-docs-core
pygments==2.19.2
    # via
    #   accessible-pygments
    #   ipython
    #   pydata-sphinx-theme
    #   sphinx
pyjwt[crypto]==2.10.1
    # via pygithub
pynacl==1.6.0
    # via pygithub
python-dateutil==2.9.0.post0
    # via jupyter-client
pyyaml==6.0.3
    # via
    #   jupyter-cache
    #   myst-nb
    #   myst-parser
    #   rocm-docs-core
    #   sphinx-external-toc
    #   sphinxcontrib-datatemplates
pyzmq==27.1.0
    # via
    #   ipykernel
    #   jupyter-client
referencing==0.36.2
    # via
    #   jsonschema
    #   jsonschema-specifications
requests==2.32.5
    # via
    #   pygithub
    #   sphinx
rocm-docs-core==1.26.0
    # via -r docs/sphinx/requirements.in
rpds-py==0.27.1
    # via
    #   jsonschema
    #   referencing
six==1.17.0
    # via python-dateutil
smmap==5.0.2
    # via gitdb
snowballstemmer==3.0.1
    # via sphinx
soupsieve==2.8
    # via beautifulsoup4
sphinx==8.1.3
    # via
    #   breathe
    #   myst-nb
    #   myst-parser
    #   pydata-sphinx-theme
    #   rocm-docs-core
    #   sphinx-book-theme
    #   sphinx-copybutton
    #   sphinx-design
    #   sphinx-external-toc
    #   sphinx-last-updated-by-git
    #   sphinx-notfound-page
    #   sphinx-reredirects
    #   sphinxcontrib-datatemplates
    #   sphinxcontrib-runcmd
sphinx-book-theme==1.1.3
    # via rocm-docs-core
sphinx-copybutton==0.5.2
    # via rocm-docs-core
sphinx-design==0.6.1
    # via rocm-docs-core
sphinx-external-toc==1.0.1
    # via rocm-docs-core
sphinx-last-updated-by-git==0.3.8
    # via sphinx-sitemap
sphinx-notfound-page==1.1.0
    # via rocm-docs-core
sphinx-reredirects==0.1.6
    # via -r docs/sphinx/requirements.in
sphinx-sitemap==2.9.0
    # via -r docs/sphinx/requirements.in
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-datatemplates==0.11.0
    # via -r docs/sphinx/requirements.in
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-runcmd==0.2.0
    # via sphinxcontrib-datatemplates
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
sqlalchemy==2.0.43
    # via jupyter-cache
stack-data==0.6.3
    # via ipython
tabulate==0.9.0
    # via jupyter-cache
tomli==2.2.1
    # via sphinx
tornado==6.5.2
    # via
    #   ipykernel
    #   jupyter-client
traitlets==5.14.3
    # via
    #   ipykernel
    #   ipython
    #   jupyter-client
    #   jupyter-core
    #   matplotlib-inline
    #   nbclient
    #   nbformat
typing-extensions==4.15.0
    # via
    #   beautifulsoup4
    #   cryptography
    #   exceptiongroup
    #   ipython
    #   myst-nb
    #   pydata-sphinx-theme
    #   pygithub
    #   referencing
    #   sqlalchemy
urllib3==2.5.0
    # via
    #   pygithub
    #   requests
wcwidth==0.2.14
    # via prompt-toolkit
zipp==3.23.0
    # via importlib-metadata

=== debian/changelog ===
rocm (7.0.2-1~exp1) experimental; urgency=medium

  * Add doc dependancies
  * update repo in debian/ci
  * Update watch file for version 5
  * New upstream version 7.0.2
  * Rebase patch for new version
  * Remove/Add available tests
  * Fix privacy breaches

 -- Christian Bayle <bayle@debian.org>  Mon, 13 Oct 2025 01:20:41 +0200

=== debian/control ===
Source: rocm
Section: devel
Priority: optional
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rocm-team/rocm.git
Vcs-Browser: https://salsa.debian.org/rocm-team/rocm
Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
Uploaders:
 Cordell Bloor <cgmb@debian.org>,
 Christian Bayle <bayle@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 sphinx-common,
Build-Depends-Indep:
 dh-sequence-sphinxdoc <!nodoc>,
 python3-rocm-docs (>= 1.23.0-1~) <!nodoc>,
 python-rocm-docs-doc <!nodoc>,
 python3-sphinx-reredirects <!nodoc>,
 python3-sphinx-sitemap <!nodoc>,
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-sphinxcontrib.datatemplates <!nodoc>,
 libjs-underscore <!nodoc>,
 libjs-jquery <!nodoc>,
 libjs-mathjax <!nodoc>,
 python3-doc <!nodoc>,
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/ROCm/ROCm

Package: rocm-dev
Architecture: amd64 arm64 ppc64el
Depends: ${misc:Depends},
         amd-dbgapi-dev,
#         hip-utils,
         hipcc,
         hipify-perl,
         libamd-smi-dev [amd64],
         libamdhip64-dev,
         libhipblas-common-dev,
         libhipblas-dev,
         libhipcub-dev,
         libhipfft-dev,
         libhiprand-dev,
         libhipsolver-dev,
         libhipsparse-dev,
         libmiopen-dev,
         liboam-dev,
         librccl-dev,
         librocalution-dev,
         librocblas-dev,
         librocfft-dev,
         librocm-smi-dev,
         librocprim-dev,
         librocrand-dev,
         librocsolver-dev,
         librocsparse-dev,
         librocthrust-dev,
         libroctx-dev,
         rocminfo,
Description: Tools and libraries for ROCm development
 This metapackage provides development tools, libraries, and headers
 used when developing for the AMD ROCm platform. The development tools
 include a HIP compiler, and the libraries include a wide range of
 math, machine learning, inter- and intra-node communication, and basic
 primatives for authoring programs with AMD GPU acceleration.

Package: rocm-tests
Architecture: amd64 arm64 ppc64el
Depends: ${misc:Depends},
         libhipblas2-tests,
         libhipcub-tests,
         libhipfft0-tests,
         libhiprand1-tests,
         libhipsolver0-tests,
         libhipsparse1-tests,
         libmiopen1-tests,
         librccl1-tests,
         librocfft0-tests,
         librocprim-tests,
         librocrand1-tests,
         librocsolver0-tests,
         librocsparse0-tests,
         librocthrust-tests,
         perl,
Description: Tests for validating the ROCm software stack
 This package contains test utilities that can be used to verify
 that the ROCm software stack is functioning correctly.

Package: rocm-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
 libhipblas-doc,
 libhipfft-doc,
 libhiprand-doc,
 libhipsolver-doc,
 libhipsparse-doc,
 libmiopen-doc,
 librocblas-doc,
 librocfft-doc,
 librocrand-doc,
 librocsolver-doc,
 librocsparse-doc,
 python-rocm-docs-doc,
Description: AMD ROCm Software (documentation)
 ROCm is an open-source stack, composed primarily of open-source software,
 designed for graphics processing unit (GPU) computation. ROCm consists
 of a collection of drivers, development tools, and APIs that enable
 GPU programming from low-level kernel to end-user applications.
 . 
 With ROCm, you can customize your GPU software to meet your specific needs.
 You can develop, collaborate, test, and deploy your applications in a free,
 open source, integrated, and secure software ecosystem.
 ROCm is particularly well-suited to GPU-accelerated high-performance
 computing (HPC), artificial intelligence (AI), scientific computing,
 and computer aided design (CAD).
 .
 ROCm is powered by AMD’s Heterogeneous-computing Interface for Portability
 (HIP), an open-source software C++ GPU programming environment and its
 corresponding runtime. HIP allows ROCm developers to create portable
 applications on different platforms by deploying code on a range of platforms,
 from dedicated gaming GPUs to exascale HPC clusters.
 .
 ROCm supports programming models, such as OpenMP and OpenCL, and includes
 all necessary open source software compilers, debuggers, and libraries.
 ROCm is fully integrated into machine learning (ML) frameworks,
 such as PyTorch and TensorFlow.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=rocm

%:
	dh $@ --with sphinxdoc --buildsystem=none

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	export patchconfigpy="True" ; \
	rocm-docs-build
	# Remove fonts that will be symlinks
	rm -rf build/html/_static/fonts
	rm -rf build/html/_static/vendor
	# Remove privacy breach links
	find build/html/how-to/rocm-for-ai -name *.html \
		-exec perl -ni -e 'print unless /cdn\.jsdelivr\.net/' {} \;

override_dh_clean:
	dh_clean
	rm -rf build
	rm -f  \
	_readthedocs/html/downloads/compatibility-matrix-historical-6.0.csv \
	docs/about/release-notes.md \
	docs/release/changelog.md \
	docs/sphinx/_toc.yml

=== debian/watch ===
Version: 5

# GitHub hosted projects.
Source: https://github.com/ROCm/ROCm/tags
Matching-Pattern: (?:.*?/)?rocm-@ANY_VERSION@@ARCHIVE_EXT@
Filenamemangle: s%rocm-@ANY_VERSION@%@PACKAGE@-$1%

## rocm 7.1.0

=== CMakeLists.txt ===
# MIT License
#
# Copyright (c) 2023 Advanced Micro Devices, Inc. All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.

cmake_minimum_required(VERSION 3.18.0)

project(ROCm VERSION 5.7.1 LANGUAGES NONE)

option(BUILD_DOCS "Build ROCm documentation" ON)

include(GNUInstallDirs)

# Adding default path cmake modules
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules")

# Handle dependencies
include(Dependencies)

# Build docs
if(BUILD_DOCS)
  add_subdirectory(docs)
endif()

=== docs/sphinx/requirements.txt ===
--- 
+++ 
@@ -187,8 +187,8 @@
     # via
     #   pygithub
     #   sphinx
-rocm-docs-core==1.26.0
-    # via -r docs/sphinx/requirements.in
+rocm-docs-core==1.27.0
+    # via -r requirements.in
 rpds-py==0.27.1
     # via
     #   jsonschema
@@ -230,13 +230,13 @@
 sphinx-notfound-page==1.1.0
     # via rocm-docs-core
 sphinx-reredirects==0.1.6
-    # via -r docs/sphinx/requirements.in
+    # via -r requirements.in
 sphinx-sitemap==2.9.0
-    # via -r docs/sphinx/requirements.in
+    # via -r requirements.in
 sphinxcontrib-applehelp==2.0.0
     # via sphinx
 sphinxcontrib-datatemplates==0.11.0
-    # via -r docs/sphinx/requirements.in
+    # via -r requirements.in
 sphinxcontrib-devhelp==2.0.0
     # via sphinx
 sphinxcontrib-htmlhelp==2.1.0

=== debian/changelog ===
rocm (7.1.0-0ubuntu1) resolute; urgency=medium

  * New upstream version 7.1.0 (LP: #2138850)
  * d/watch: update watch file to version 5
  * d/control: upgrade the dependencies for tests
  * d/p/set-empty-project-list: fix the hunk
  * d/control: remove ppc64el and change binary package name to rocm
  * d/t/{check-test-binaries, control, smoke}: add some superficial tests
  * d/control: remove commented out unnecessary sections

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Wed, 11 Feb 2026 18:41:05 +0100

=== debian/control ===
Source: rocm
Section: devel
Priority: optional
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rocm-team/rocm.git
Vcs-Browser: https://salsa.debian.org/rocm-team/rocm
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
Uploaders:
 Cordell Bloor <cgmb@debian.org>,
 Christian Bayle <bayle@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 sphinx-common,
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/ROCm/ROCm

Package: rocm-dev
Architecture: amd64 arm64
Depends: ${misc:Depends},
         amd-dbgapi-dev,
         hip-utils,
         hipcc,
         hipify-perl,
         libamd-smi-dev [amd64],
         libamdhip64-dev,
         libhipblas-common-dev,
         libhipblas-dev,
         libhipcub-dev,
         libhipfft-dev,
         libhiprand-dev,
         libhipsolver-dev,
         libhipsparse-dev,
         libmiopen-dev,
         liboam-dev,
         librccl-dev,
         librocalution-dev,
         librocblas-dev,
         librocfft-dev,
         librocm-smi-dev,
         librocprim-dev,
         librocrand-dev,
         librocsolver-dev,
         librocsparse-dev,
         librocthrust-dev,
         libroctx-dev,
         rocminfo,
Description: Tools and libraries for ROCm development
 This metapackage provides development tools, libraries, and headers
 used when developing for the AMD ROCm platform. The development tools
 include a HIP compiler, and the libraries include a wide range of
 math, machine learning, inter- and intra-node communication, and basic
 primatives for authoring programs with AMD GPU acceleration.

Package: rocm-tests
Architecture: amd64 arm64
Depends: ${misc:Depends},
         ${perl:Depends},
         libhipcub-tests,
         libhipfft0-tests,
         libhiprand1-tests,
         libhipsolver1-tests,
         libhipsparse1-tests,
         libmiopen1-tests,
         librocblas5-tests,
         librocfft0-tests,
         librocprim-tests,
         librocrand1-tests,
         librocsolver0-tests,
         librocsparse1-tests,
         librocthrust-tests,
Description: Tests for validating the ROCm software stack
 This package contains test utilities that can be used to verify
 that the ROCm software stack is functioning correctly.

=== debian/rules ===
#!/usr/bin/make -f

# rocm-doc B-D on python3-sphinxcontrib.datatemplates, which is currently
# pending review by the DFSG team. The rocm-doc binary package cannot yet be
# built, but will be enabled once the required B-D are available.
#
# For the moment, this source package only provides test and dev metapackages.
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure-arch:
	:

override_dh_auto_test-arch:
	:

execute_before_dh_install-arch:
	:

override_dh_auto_configure-indep:
	:

override_dh_auto_test-indep:
	:

override_dh_auto_install-indep:
	:

# Once the necessary B-D are available, the rules below can be enabled
# to build rocm-doc

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

#export PYBUILD_NAME=rocm
#
#%:
#	dh $@ --with sphinxdoc --buildsystem=none
#
#execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
#execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
#execute_after_dh_auto_build-indep:
#	export patchconfigpy="True" ; \
#	rocm-docs-build
#	# Remove fonts that will be symlinks
#	rm -rf build/html/_static/fonts
#	rm -rf build/html/_static/vendor
#
#override_dh_clean:
#	dh_clean
#	rm -rf build
#	rm -f  \
#	_readthedocs/html/downloads/compatibility-matrix-historical-6.0.csv \
#	docs/about/release-notes.md \
#	docs/release/changelog.md \
#	docs/sphinx/_toc.yml

=== debian/tests/control ===
Tests: smoke
Depends: @
Restrictions: superficial

Tests: check-test-binaries
Depends: rocm-tests
Restrictions: superficial

=== debian/watch ===
Version: 5
Source: https://github.com/ROCm/rocm.git
Matching-Pattern: refs/tags/rocm-?@ANY_VERSION@
Mode: git
